{% extends "base.html" %}

{% block content %}
	<article class="flexbox_updown flexbox_align-items_center flexbox_justify-content_center">
		<!-- app logo -->
		<img id="login_logo" src={{ url_for('static', filename='resources/dbCloud_Large.png') }}>

		<!-- FORM -->
		<form action='' method='POST' class="flexbox_updown flexbox_align-items_center flexbox_justify-content_center" novalidate>
			{{ form.hidden_tag() }}
			<!-- username -->
			<div>
				{{ form.username.label }}<br>
				<div>
					{% for error in form.username.errors %}
						<span class="error">{{ error }}</span>
					{% endfor %}
				</div>
				{{ form.username(size=32, autofocus=true, autocomplete='off') }}
			</div>

			<!-- email -->
			<div>
				{{ form.email.label }}<br>
				<div>
					{% for error in form.email.errors %}
						<span class="error">{{ error }}</span>
					{% endfor %}
				</div>
				{{ form.email(size=32, autocomplete='off') }}
			</div>

			<!-- password -->
			<div>
				{{ form.password.label }}<br>
				<div>
					{% for error in form.password.errors %}
						<span class="error">{{ error }}</span>
					{% endfor %}
				</div>
				{{ form.password(size=32, autocomplete='off') }}
			</div>

			<!-- password confirm -->
			<div>
				{{ form.password2.label }}<br>
				<div>
					{% for error in form.password2.errors %}
						<span class="error">{{ error }}</span>
					{% endfor %}
				</div>
				{{ form.password2(size=32, autocomplete='off') }}
			</div>

			<!-- Submit Button -->
			<div>
				<br>{{ form.submit }}
			</div>
		</form>

		<!-- Link to login page -->
		<p id='signup'>Already have an account? <a href={{ url_for('login') }}>Login</a></p>
	</article>

{% endblock %}
